Bug 481287 - Use correct cpe name in system-release-cpe
Use correct cpe name in system-release-cpe
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 07:51 EST by Mark J. Cox (Product Security)
Modified: 2013-01-10 00:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 15:18:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2009-01-23 07:51:53 EST
The CPE specification was changed causing us to be slightly non-compliant.  The CPE names are officially allocated by NIST.

Please update spec to replace

echo "cpe://o:fedora_project:fedora:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe

with 

echo "cpe:/o:fedoraproject:fedora:%{version}" > $RPM_BUILD_ROOT/etc/system-release-cpe

(one slash, no underscore)

(This doesn't require an errata for existing Fedora releases)
Comment 1 Jesse Keating 2009-02-04 15:18:47 EST
Fixed upstream, will be in next fedora-release drop.

Note You need to log in before you can comment on or make changes to this bug.